/* FONT CACHE
font-family: 'Montserrat', sans-serif;
font-family: 'Roboto Condensed', sans-serif;
font-family: 'Libre Barcode 39', cursive;
*/

* {
  box-sizing: border-box;
}

body {
  background-color: #000;
  font-family: 'Montserrat', sans-serif;
  color: #fff;
  margin: 0px;
  padding: 0px;
}

header {
  background: linear-gradient(to bottom, rgba(26, 25, 122, .7), rgba(26, 25, 122, 0)); 
  height: 250px;
  width: 100%;
  margin-top: 0px;
  padding-top: 0px;
  position: fixed;
  z-index: 1;
}

main {
  position:absolute;
  top: 150px;
  left:0px;
  right:0px;
  bottom:0px;
  overflow-y:scroll;  
}

.vehicles {
  margin-left: auto;
  margin-right: auto;
  max-width: 700px;
}

.container {
  max-width: 50%;
  margin-left: auto;
  margin-right: auto;
}

#results {
  padding: 0px 0px;
  max-width: 80%;
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  justify-content: center;
  align-items: top;
  margin-left: auto;
  margin-right: auto;
  overflow: scroll;
  position: relative;
}

#dropHTML {
  margin-left: auto;
  margin-right: auto;
  max-width: 70%;
  overflow: scroll;
  position: relative;
}

.p-container{
  padding: 20px 30px;
  background-color: white;
  border-radius: 6px;
  max-width: 600px;
}

.rocket-container {
  margin-bottom: 100px;
  margin-left: auto;
  margin-right: auto;
}

nav { 
  display: flex;
  flex-flow: row wrap;
  align-items: center;
  max-width: 600px;
  margin-left: auto;
  margin-right: auto;
}


/*CARD STYLING*/

.column {
  padding: 0px;
  font-size: 20px;
  cursor: pointer;
  display: block;
}

.card {
  font-size: 20px;
  cursor: pointer;
  padding: 16px;
  text-align: center;
  border: 0;
  width: 250px;
  display: block;
  margin: 5px 5px;
}

.card-container {
  display: inline-block;
  padding: 0;
}

/*FORM STYLING*/


label {
  color: rgb(121, 121, 121);
  display: block;
  font-family: 'Montserrat', sans-serif;
  padding: 3px;
}

#submit-button {
  display: inline-block;
  background-color: rgb(43, 128, 185);
  color: white;
  padding: 16px;
  border: none;
  cursor: pointer;
  border-radius: 4px;
  opacity: 0.9;
  font-size: 16px;
  height: 70px;
  margin-left: 5px;
  margin-right: 5px;
}

#submit-button:hover {
  opacity: 1;
}

form { 
  display: flex;
  flex-flow: row wrap;
  align-items: center;
  max-width: 500px;
}


input[type=number] {
  width: 100%;
  display: inline-block;
  padding: 10px 3px;
  font-size: 16px;
  border: none;
  -webkit-transition: 0.5s;
  transition: 0.5s;
  outline: none;
  background: #fff;
  text-align: center;
}

input[type=number]:focus {
  background-color: #fff;
  border: none;
}

.full-input {
  background-color: #fff;
  border: 3px solid rgb(43, 128, 185);

}




/*TEXT STYLING*/

h1, h2, h3 {
  color: #fff;
  text-align: center;
  font-family: 'Montserrat', sans-serif;
}

h1 {
  margin: 0px;
  font-size: 50px;
}

a {
  color: #fff;
  text-decoration: none;
}

.error-message {
  color: red;
}

.procket {
  color: #000;
  padding: 50px 100px;
}

a.black {
  color: #000;
}

#no-result-message {
  display: block;
  margin-left: auto;
  margin-right: auto;
  text-align: center;
  font-size: 25px;
}

.white {
  color: white;
}

.black {
  color: #000;
}

.yellow {
  color: yellow;
}

.bigger {
  font-size: 60px;
}

.bold {
  text-decoration: bold;
}

.fadeout {
  color: #ffffff;
  font-size: large;
  font-family: 'Open Sans Condensed', sans-serif;
  text-align: center;
  opacity: 0;
    -webkit-animation: fadeout 6s; 
       -moz-animation: fadeout 6s; 
        -ms-animation: fadeout 6s; 
         -o-animation: fadeout 6s; 
            animation: fadeout 6s;
}

@keyframes fadeout {
    from { opacity: 1; }
    to   { opacity: 0; }
}


/*DROPDOWN STYLING*/

.dropbtn {
  background-color: rgb(43, 128, 185);
  color: white;
  padding: 16px;
  font-size: 16px;
  border: none;
  cursor: pointer;
  border-radius: 4px;
  height: 70px;
  opacity: 0.9;
}

.dropbtn:hover, .dropbtn:focus {
  opacity: 1;
}

.dropdown {
  float: left;
  display: inline-block;
}

.dropdown-content {
  display: none;
  position: absolute;
  background-color: #f1f1f1;
  min-width: 160px;
  overflow: auto;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  z-index: 1;
}

.dropdown-content a {
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
}

.dropdown a:hover {background-color: #ddd;}


/*LISTS AND GRIDS*/

ul, li {
  list-style-type: none;
}


/*STYLE CLASSES*/

.clearfix::after {
  content: "";
  clear: both;
  display: table;
}

.center {
  display: block;
  margin-left: auto;
  margin-right: auto;
  padding: 15px;
  border: 0;
  text-align: center;

}

.hidden {
  display: none;
}

.left {
  float: left;
  clear: both;
}

.right {
  float: right;
  clear: both;
}

.resize-image {
  max-height: 350px;
  max-width: 250px;
  padding: 20px;
}

.resize-imageB {
  max-height: 250px;
  padding: 0px;
}

.show {
  display: block;
}

.spacexlogo {
  display: block;
  width: 300px;
  float: left;
  padding-left: 10px; 
}

.patch-resize {
  max-width: 150px;
}

.gallery-resize {
  width: 200px;
  height: 200px;
  margin: 10px 10px 10px 10px;
  object-fit: cover;
}



/*TIMELINE STYLING*/

#timeline-container {
    overflow: scroll;
    position: relative;
    -webkit-animation-name: timeline; 
    -webkit-animation-duration: 10s; 
    -webkit-animation-delay: 2s; 
    animation-name: timeline;
    animation-duration: 10s;
    animation-delay: 2s;
  }

  #timeline-container:hover {
    -webkit-animation-play-state: paused;
    -moz-animation-play-state: paused;
    -o-animation-play-state: paused;
     animation-play-state: paused;
     overflow-y: scroll;

  }
  
  @-webkit-keyframes timeline{
    0%   {top:0px;}
    100% {top:-4600px;}
  }
  
  @keyframes timeline{
    0%   {top:0px;}
    100% {top:-4400px;}
  }


.timeline p, h2, h3 {
  color: black;
}

.timeline {
  position: relative;
  max-width: 1200px;
  margin: 0 auto;
}

.timeline::after {
  content: '';
  position: absolute;
  width: 6px;
  background-color: white;
  top: 0;
  bottom: 0;
  left: 50%;
  margin-left: -3px;
}

.TLcontainer {
  padding: 10px 40px;
  position: relative;
  background-color: inherit;
  width: 50%;
}

.TLcontainer::after {
  content: '';
  position: absolute;
  width: 25px;
  height: 25px;
  right: -17px;
  background-color: white;
  border: 4px solid #FF9F55;
  top: 15px;
  border-radius: 50%;
  z-index: 1;
}

.c-left {
  left: 0;
}

.c-right {
  left: 50%;
}

.c-left::before {
  content: " ";
  height: 0;
  position: absolute;
  top: 22px;
  width: 0;
  z-index: 1;
  right: 30px;
  border: medium solid white;
  border-width: 10px 0 10px 10px;
  border-color: transparent transparent transparent white;
}

.c-right::before {
  content: " ";
  height: 0;
  position: absolute;
  top: 22px;
  width: 0;
  z-index: 1;
  left: 30px;
  border: medium solid white;
  border-width: 10px 10px 10px 0;
  border-color: transparent white transparent transparent;
}

.c-right::after {
  left: -16px;
}

.c-content {
  padding: 20px 30px;
  background-color: white;
  position: relative;
  border-radius: 6px;
}

.starman {
  display: block;
  margin-left:center;
  margin-right: center;
  max-width: 350px;
  border: 0;
}


/*STARS ANIMATION*/

@keyframes move-twink-back {
  from {background-position:0 0;}
  to {background-position:-10000px 5000px;}
}
@-webkit-keyframes move-twink-back {
  from {background-position:0 0;}
  to {background-position:-10000px 5000px;}
}
@-moz-keyframes move-twink-back {
  from {background-position:0 0;}
  to {background-position:-10000px 5000px;}
}
@-ms-keyframes move-twink-back {
  from {background-position:0 0;}
  to {background-position:-10000px 5000px;}
}

.stars, .twinkling {
  position:absolute;
  top:0;
  left:0;
  right:0;
  bottom:0;
  width:100%;
  height:100%;
  display:block;
}

.stars {
background:#000 url(images/stars.png) repeat top center;
z-index:-2;
background-attachment: fixed;
}

.twinkling {
background:transparent url(images/twinkling.png) repeat top center;
z-index:-1;
background-attachment: fixed;

-moz-animation:move-twink-back 200s linear infinite;
-ms-animation:move-twink-back 200s linear infinite;
-o-animation:move-twink-back 200s linear infinite;
-webkit-animation:move-twink-back 200s linear infinite;
animation:move-twink-back 200s linear infinite;
}




/*MEDIA SCREENS*/
@media screen and (max-width: 950px) {
  .spacexlogo {
    width: 250px;
  }

  h1 {
    font-size: 30px;
  }

  .resize-imageB {
    max-width: 200px;
    padding: 0px;
  }
}

@media screen and (max-width: 600px) {

  main {
    top: 250px;
  }

  nav { 
    display: flex;
    flex-flow: row wrap;
    align-items: center;
    max-width: 345px;
    margin-left: auto;
    margin-right: auto;
  }
  

  .spacexlogo {
    display: inline-block;
    width: 200px;
  }

  header {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  h1 {
    margin: 5px 5px 5px 5px;
    font-size: 25px;
    padding-bottom: 15px;
  }

  .container {
    margin-top: 35px;
  }

  .resize-imageB {
    max-width: 150px;
    padding: 0px;
  }

  .p-container{
    padding: 10px 20px;
    background-color: white;
    border-radius: 6px;
    max-width: 300px;
  }

  /*TIMELINE*/

  .timeline::after {
    left: 31px;
    }
    
    .TLcontainer {
    width: 100%;
    padding-left: 70px;
    padding-right: 25px;
    }
    
    .TLcontainer::before {
    left: 60px;
    border: medium solid white;
    border-width: 10px 10px 10px 0;
    border-color: transparent white transparent transparent;
    }

    .c-left::after, .c-right::after {
    left: 15px;
    }

    .c-right {
    left: 0%;
    }

    .starman {
      display: block;
      margin-left:center;
      margin-right: center;
      max-width: 200px;
      border: 0;
    }

    .fadeout {
      color: #ffffff;
      font-family: 'Open Sans Condensed', sans-serif;
      text-align: center;
      opacity: 0;
        -webkit-animation: fadeout 6s; 
           -moz-animation: fadeout 6s; 
            -ms-animation: fadeout 6s; 
             -o-animation: fadeout 6s; 
                animation: fadeout 6s;
    }

    .bigger {
      font-size: 40px;
    }
    
    @keyframes fadeout {
        from { opacity: 1; }
        to   { opacity: 0; }
    }
}